computerHooks.pollPairing
POST
/v1/hooks/computers/pairings/{pairingId}/poll
const url = 'https://example.com/v1/hooks/computers/pairings/example/poll';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/hooks/computers/pairings/example/pollTells the machine if a person approved it. Send Authorization: Bearer <secret> with the secret of the pairing.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pairingId
required
string
Responses
Section titled “Responses”Success
PairingInvalid
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "PairingInvalid"}ComputersUnavailable | RequestFailed